package com.kingdee.eas.custom.erp;

import com.kingdee.bos.framework.ejb.EJBRemoteException;
import com.kingdee.bos.util.BOSObjectType;
import java.rmi.RemoteException;
import com.kingdee.bos.framework.AbstractBizCtrl;
import com.kingdee.bos.orm.template.ORMObject;

import com.kingdee.bos.Context;
import com.kingdee.bos.BOSException;
import com.kingdee.eas.custom.erp.*;
import java.lang.String;
import com.kingdee.bos.framework.*;
import com.kingdee.bos.util.*;

public class synAdminOrgBetaToErpFacade extends AbstractBizCtrl implements IsynAdminOrgBetaToErpFacade
{
    public synAdminOrgBetaToErpFacade()
    {
        super();
        registerInterface(IsynAdminOrgBetaToErpFacade.class, this);
    }
    public synAdminOrgBetaToErpFacade(Context ctx)
    {
        super(ctx);
        registerInterface(IsynAdminOrgBetaToErpFacade.class, this);
    }
    public BOSObjectType getType()
    {
        return new BOSObjectType("DAB17738");
    }
    private synAdminOrgBetaToErpFacadeController getController() throws BOSException
    {
        return (synAdminOrgBetaToErpFacadeController)getBizController();
    }
    /**
     *同步行政组织封存信息到星瀚-User defined method
     *@param startDate 开始时间 (格式: yyyy-mm-dd hh:mm:ss)
     *@param endDate 结束时间 (格式: yyyy-mm-dd hh:mm:ss)
     */
    public void synAdminOrgBetaToErp(String startDate, String endDate) throws BOSException
    {
        try {
            getController().synAdminOrgBetaToErp(getContext(), startDate, endDate);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
}